GNU Radio C++ API Reference: gr::digital::ofdm_equalizer_base Class Reference

| GNU Radio C++ API Reference 3.10.12.0 The Free & Open Software Radio Ecosystem |

Loading...
Searching...
No Matches
gr::digital::ofdm_equalizer_base Class Referenceabstract
GNU Radio C++ Signal Processing Blocks » OFDM Blocks | GNU Radio C++ Signal Processing Blocks » Equalizers

Base class for implementation details of frequency-domain OFDM equalizers. More...

`#include <gnuradio/digital/ofdm_equalizer_base.h>`

## Public Types
typedef std::shared_ptr< ofdm_equalizer_base > | sptr

## Public Member Functions
| ofdm_equalizer_base (int fft_len)
virtual | ~ofdm_equalizer_base ()
virtual void | reset ()=0
| Reset the channel information state knowledge.
virtual void | equalize (gr_complex *frame, int n_sym, const std::vector< gr_complex > &initial_taps=std::vector< gr_complex >(), const std::vector< tag_t > &tags=std::vector< tag_t >())=0
| Run the actual equalization.
virtual void | get_channel_state (std::vector< gr_complex > &taps)=0
| Return the current channel state.
int | fft_len ()
sptr | base ()

## Protected Attributes
int | d_fft_len

## Detailed Description

Base class for implementation details of frequency-domain OFDM equalizers.

## Member Typedef Documentation

## ◆ sptr

typedef std::shared_ptr<ofdm_equalizer_base> gr::digital::ofdm_equalizer_base::sptr

## Constructor & Destructor Documentation

## ◆ ofdm_equalizer_base()

gr::digital::ofdm_equalizer_base::ofdm_equalizer_base | ( | int | fft_len | ) |

References fft_len().

## ◆ ~ofdm_equalizer_base()

virtual gr::digital::ofdm_equalizer_base::~ofdm_equalizer_base | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ base()

sptr gr::digital::ofdm_equalizer_base::base | ( |  | ) |
| inline

## ◆ equalize()

virtual void gr::digital::ofdm_equalizer_base::equalize | ( | gr_complex * | frame,
|  | int | n_sym,
|  | const std::vector< gr_complex > & | initial_taps = std::vector< gr_complex >(),
|  | const std::vector< tag_t > & | tags = std::vector< tag_t >() )
| pure virtual

Run the actual equalization.

Implemented in gr::digital::ofdm_equalizer_simpledfe, and gr::digital::ofdm_equalizer_static.

## ◆ fft_len()

int gr::digital::ofdm_equalizer_base::fft_len | ( |  | ) |
| inline

References d_fft_len.

Referenced by gr::digital::ofdm_equalizer_simpledfe::make(), gr::digital::ofdm_equalizer_static::make(), gr::digital::ofdm_equalizer_1d_pilots::ofdm_equalizer_1d_pilots(), ofdm_equalizer_base(), gr::digital::ofdm_equalizer_simpledfe::ofdm_equalizer_simpledfe(), and gr::digital::ofdm_equalizer_static::ofdm_equalizer_static().

## ◆ get_channel_state()

virtual void gr::digital::ofdm_equalizer_base::get_channel_state | ( | std::vector< gr_complex > & | taps | ) |
| pure virtual

Return the current channel state.

Implemented in gr::digital::ofdm_equalizer_1d_pilots.

## ◆ reset()

virtual void gr::digital::ofdm_equalizer_base::reset | ( |  | ) |
| pure virtual

Reset the channel information state knowledge.

Implemented in gr::digital::ofdm_equalizer_1d_pilots.

## Member Data Documentation

## ◆ d_fft_len

int gr::digital::ofdm_equalizer_base::d_fft_len
| protected

Referenced by fft_len().

The documentation for this class was generated from the following file:

- ofdm_equalizer_base.h